Name:       rebuilder
Version:    0.8.0
Release:    2%{?dist}
Summary:    Wrapper for *pkg
BuildArch:  noarch

License:    GPLv3+
Source0:    %{name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  pkgconfig
BuildRequires:  bash-completion

%description
Wrapper for easy building of packages with fedpkg and rhpkg.


%prep
%autosetup


%build
%py3_build


%install
%py3_install


%define compdir %(pkg-config --variable=completionsdir bash-completion)
%if "%{compdir}" == ""
%define compdir "/etc/bash_completion.d"
%endif

%files
%{_bindir}/%{name}
%{compdir}/%{name}.bash
%{python3_sitelib}/*


%changelog
* Wed Apr 24 2024 Lubomír Sedlář <lsedlar@redhat.com> - 0.8.0-2
- Rebuild for latest Python

* Wed Jun 07 2023 Lubomír Sedlář <lsedlar@redhat.com> - 0.8.0-1
- new version

* Tue May 30 2023 Lubomír Sedlář <lsedlar@redhat.com> - 0.7.1-1
- new version

* Tue May 23 2023 Lubomír Sedlář <lsedlar@redhat.com> - 0.7.0-1
- new version

* Fri Apr 28 2023 Lubomír Sedlář <lsedlar@redhat.com> - 0.6.0-4
- Rebuild

* Fri Jun 10 2022 Lubomír Sedlář <lsedlar@redhat.com> - 0.6.0-3
- Rebuild

* Wed Jun 24 2020 Lubomír Sedlář <lsedlar@redhat.com> - 0.6.0-2
- Rebuild

* Tue Jul 02 2019 Lubomír Sedlář <lsedlar@redhat.com> - 0.6.0-1
- New upstream release

* Mon Jun 10 2019 Lubomír Sedlář <lsedlar@redhat.com> - 0.5.0-2
- Rebuild

* Wed Sep 20 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.5.0-1
- New upstream release

* Mon Aug 21 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.4.0-3
- Rebuild

* Mon Aug 21 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.4.0-2
- Rebuild

* Thu Dec 01 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.4.0-1
- New upstream release

* Tue Nov 29 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.3.0-2
- Bump to rebuild for F25

* Fri Sep 23 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.3.0-1
- New release

* Thu Sep 22 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.2.0-3
- Add build deps

* Thu Sep 22 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.2.0-2
- Bump version

* Thu Sep 22 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.2.0-1
- New upstream version with bash completion

* Thu Sep 22 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.0-1
- Initial packaging
